.btn-link,
p > a:not(.btn),
p > small a:not(.btn),
li:not([class]) > a:not(.btn),
li:not([class]) > small a:not(.btn) {
  background-image:
    linear-gradient(var(--f-o5), var(--f-o5)),
    linear-gradient(var(--f-g5), var(--f-g5));
  background-position: center bottom, center bottom;
  background-repeat: no-repeat;
  background-size: 0% 2px, 100% 2px;
  color: var(--f-d9);
  padding-top: 2px;
  padding-bottom: 2px;
  text-decoration: none;
  transition: background-size 0.25s ease-in-out;

  i::before { 
    color: var(--f-d8);
  }

  &:hover, &:focus {
    background-size: 100% 2px;
    color: var(--f-g9);
    text-decoration: none;

    i::before {
      color: var(--f-g8);
    }
  }
}
